source: squid-ssl/trunk/fuentes/src/auth/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 21 months ago

Initial release

File size: 45.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/auth/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = src/auth
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libacls_la_LIBADD =
162am_libacls_la_OBJECTS = Acl.lo AclMaxUserIp.lo AclProxyAuth.lo
163libacls_la_OBJECTS = $(am_libacls_la_OBJECTS)
164AM_V_lt = $(am__v_lt_$(V))
165am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
166am__v_lt_0 = --silent
167am__v_lt_1 = 
168am__DEPENDENCIES_1 =
169am_libauth_la_OBJECTS = Type.lo Config.lo CredentialState.lo \
170        Gadgets.lo Scheme.lo State.lo User.lo UserRequest.lo
171libauth_la_OBJECTS = $(am_libauth_la_OBJECTS)
172AM_V_P = $(am__v_P_$(V))
173am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
174am__v_P_0 = false
175am__v_P_1 = :
176AM_V_GEN = $(am__v_GEN_$(V))
177am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
178am__v_GEN_0 = @echo "  GEN     " $@;
179am__v_GEN_1 = 
180AM_V_at = $(am__v_at_$(V))
181am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
182am__v_at_0 = @
183am__v_at_1 = 
184DEFAULT_INCLUDES = 
185depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
186am__depfiles_maybe = depfiles
187am__mv = mv -f
188CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
191        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
192        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
193        $(AM_CXXFLAGS) $(CXXFLAGS)
194AM_V_CXX = $(am__v_CXX_$(V))
195am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
196am__v_CXX_0 = @echo "  CXX     " $@;
197am__v_CXX_1 = 
198CXXLD = $(CXX)
199CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
201        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
202AM_V_CXXLD = $(am__v_CXXLD_$(V))
203am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
204am__v_CXXLD_0 = @echo "  CXXLD   " $@;
205am__v_CXXLD_1 = 
206COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
207        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
208LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
210        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
211        $(AM_CFLAGS) $(CFLAGS)
212AM_V_CC = $(am__v_CC_$(V))
213am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
214am__v_CC_0 = @echo "  CC      " $@;
215am__v_CC_1 = 
216CCLD = $(CC)
217LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
219        $(AM_LDFLAGS) $(LDFLAGS) -o $@
220AM_V_CCLD = $(am__v_CCLD_$(V))
221am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
222am__v_CCLD_0 = @echo "  CCLD    " $@;
223am__v_CCLD_1 = 
224SOURCES = $(libacls_la_SOURCES) $(libauth_la_SOURCES)
225DIST_SOURCES = $(libacls_la_SOURCES) $(libauth_la_SOURCES)
226RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
227        ctags-recursive dvi-recursive html-recursive info-recursive \
228        install-data-recursive install-dvi-recursive \
229        install-exec-recursive install-html-recursive \
230        install-info-recursive install-pdf-recursive \
231        install-ps-recursive install-recursive installcheck-recursive \
232        installdirs-recursive pdf-recursive ps-recursive \
233        tags-recursive uninstall-recursive
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
240  distclean-recursive maintainer-clean-recursive
241am__recursive_targets = \
242  $(RECURSIVE_TARGETS) \
243  $(RECURSIVE_CLEAN_TARGETS) \
244  $(am__extra_recursive_targets)
245AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
246        check recheck distdir
247am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
248# Read a list of newline-separated strings from the standard input,
249# and print each of them once, without duplicates.  Input order is
250# *not* preserved.
251am__uniquify_input = $(AWK) '\
252  BEGIN { nonempty = 0; } \
253  { items[$$0] = 1; nonempty = 1; } \
254  END { if (nonempty) { for (i in items) print i; }; } \
255'
256# Make sure the list of sources is unique.  This is necessary because,
257# e.g., the same source file might be shared among _SOURCES variables
258# for different programs/libraries.
259am__define_uniq_tagged_files = \
260  list='$(am__tagged_files)'; \
261  unique=`for i in $$list; do \
262    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263  done | $(am__uniquify_input)`
264ETAGS = etags
265CTAGS = ctags
266am__tty_colors_dummy = \
267  mgn= red= grn= lgn= blu= brg= std=; \
268  am__color_tests=no
269am__tty_colors = { \
270  $(am__tty_colors_dummy); \
271  if test "X$(AM_COLOR_TESTS)" = Xno; then \
272    am__color_tests=no; \
273  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
274    am__color_tests=yes; \
275  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
276    am__color_tests=yes; \
277  fi; \
278  if test $$am__color_tests = yes; then \
279    red='[0;31m'; \
280    grn='[0;32m'; \
281    lgn='[1;32m'; \
282    blu='[1;34m'; \
283    mgn='[0;35m'; \
284    brg='[1m'; \
285    std='[m'; \
286  fi; \
287}
288am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
289am__vpath_adj = case $$p in \
290    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
291    *) f=$$p;; \
292  esac;
293am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
294am__install_max = 40
295am__nobase_strip_setup = \
296  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
297am__nobase_strip = \
298  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
299am__nobase_list = $(am__nobase_strip_setup); \
300  for p in $$list; do echo "$$p $$p"; done | \
301  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
302  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
303    if (++n[$$2] == $(am__install_max)) \
304      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
305    END { for (dir in files) print dir, files[dir] }'
306am__base_list = \
307  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
308  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
309am__uninstall_files_from_dir = { \
310  test -z "$$files" \
311    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
312    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
313         $(am__cd) "$$dir" && rm -f $$files; }; \
314  }
315am__recheck_rx = ^[     ]*:recheck:[    ]*
316am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
317am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
318# A command that, given a newline-separated list of test names on the
319# standard input, print the name of the tests that are to be re-run
320# upon "make recheck".
321am__list_recheck_tests = $(AWK) '{ \
322  recheck = 1; \
323  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
324    { \
325      if (rc < 0) \
326        { \
327          if ((getline line2 < ($$0 ".log")) < 0) \
328            recheck = 0; \
329          break; \
330        } \
331      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
332        { \
333          recheck = 0; \
334          break; \
335        } \
336      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
337        { \
338          break; \
339        } \
340    }; \
341  if (recheck) \
342    print $$0; \
343  close ($$0 ".trs"); \
344  close ($$0 ".log"); \
345}'
346# A command that, given a newline-separated list of test names on the
347# standard input, create the global log from their .trs and .log files.
348am__create_global_log = $(AWK) ' \
349function fatal(msg) \
350{ \
351  print "fatal: making $@: " msg | "cat >&2"; \
352  exit 1; \
353} \
354function rst_section(header) \
355{ \
356  print header; \
357  len = length(header); \
358  for (i = 1; i <= len; i = i + 1) \
359    printf "="; \
360  printf "\n\n"; \
361} \
362{ \
363  copy_in_global_log = 1; \
364  global_test_result = "RUN"; \
365  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
366    { \
367      if (rc < 0) \
368         fatal("failed to read from " $$0 ".trs"); \
369      if (line ~ /$(am__global_test_result_rx)/) \
370        { \
371          sub("$(am__global_test_result_rx)", "", line); \
372          sub("[        ]*$$", "", line); \
373          global_test_result = line; \
374        } \
375      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
376        copy_in_global_log = 0; \
377    }; \
378  if (copy_in_global_log) \
379    { \
380      rst_section(global_test_result ": " $$0); \
381      while ((rc = (getline line < ($$0 ".log"))) != 0) \
382      { \
383        if (rc < 0) \
384          fatal("failed to read from " $$0 ".log"); \
385        print line; \
386      }; \
387      printf "\n"; \
388    }; \
389  close ($$0 ".trs"); \
390  close ($$0 ".log"); \
391}'
392# Restructured Text title.
393am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
394# Solaris 10 'make', and several other traditional 'make' implementations,
395# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
396# by disabling -e (using the XSI extension "set +e") if it's set.
397am__sh_e_setup = case $$- in *e*) set +e;; esac
398# Default flags passed to test drivers.
399am__common_driver_flags = \
400  --color-tests "$$am__color_tests" \
401  --enable-hard-errors "$$am__enable_hard_errors" \
402  --expect-failure "$$am__expect_failure"
403# To be inserted before the command running the test.  Creates the
404# directory for the log if needed.  Stores in $dir the directory
405# containing $f, in $tst the test, in $log the log.  Executes the
406# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
407# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
408# will run the test scripts (or their associated LOG_COMPILER, if
409# thy have one).
410am__check_pre = \
411$(am__sh_e_setup);                                      \
412$(am__vpath_adj_setup) $(am__vpath_adj)                 \
413$(am__tty_colors);                                      \
414srcdir=$(srcdir); export srcdir;                        \
415case "$@" in                                            \
416  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
417    *) am__odir=.;;                                     \
418esac;                                                   \
419test "x$$am__odir" = x"." || test -d "$$am__odir"       \
420  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
421if test -f "./$$f"; then dir=./;                        \
422elif test -f "$$f"; then dir=;                          \
423else dir="$(srcdir)/"; fi;                              \
424tst=$$dir$$f; log='$@';                                 \
425if test -n '$(DISABLE_HARD_ERRORS)'; then               \
426  am__enable_hard_errors=no;                            \
427else                                                    \
428  am__enable_hard_errors=yes;                           \
429fi;                                                     \
430case " $(XFAIL_TESTS) " in                              \
431  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
432    am__expect_failure=yes;;                            \
433  *)                                                    \
434    am__expect_failure=no;;                             \
435esac;                                                   \
436$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
437# A shell command to get the names of the tests scripts with any registered
438# extension removed (i.e., equivalently, the names of the test logs, with
439# the '.log' extension removed).  The result is saved in the shell variable
440# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
441# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
442# since that might cause problem with VPATH rewrites for suffix-less tests.
443# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
444am__set_TESTS_bases = \
445  bases='$(TEST_LOGS)'; \
446  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
447  bases=`echo $$bases`
448RECHECK_LOGS = $(TEST_LOGS)
449TEST_SUITE_LOG = test-suite.log
450TEST_EXTENSIONS =  .test
451LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
453am__set_b = \
454  case '$@' in \
455    */*) \
456      case '$*' in \
457        */*) b='$*';; \
458          *) b=`echo '$@' | sed 's/\.log$$//'`; \
459       esac;; \
460    *) \
461      b='$*';; \
462  esac
463am__test_logs1 = $(TESTS:=.log)
464am__test_logs2 = $(am__test_logs1:.log=.log)
465TEST_LOGS = $(am__test_logs2:.test.log=.log)
466TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
467TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
468        $(TEST_LOG_FLAGS)
469am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
470        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
471        $(top_srcdir)/src/TestHeaders.am
472DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
473am__relativize = \
474  dir0=`pwd`; \
475  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
476  sed_rest='s,^[^/]*/*,,'; \
477  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
478  sed_butlast='s,/*[^/]*$$,,'; \
479  while test -n "$$dir1"; do \
480    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
481    if test "$$first" != "."; then \
482      if test "$$first" = ".."; then \
483        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
484        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
485      else \
486        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
487        if test "$$first2" = "$$first"; then \
488          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
489        else \
490          dir2="../$$dir2"; \
491        fi; \
492        dir0="$$dir0"/"$$first"; \
493      fi; \
494    fi; \
495    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
496  done; \
497  reldir="$$dir2"
498ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
499ADAPTATION_LIBS = adaptation/libadaptation.la
500ALLOCA =
501AMTAR = $${TAR-tar}
502AM_DEFAULT_VERBOSITY = 1
503AR = /usr/bin/ar
504AR_R = /usr/bin/ar r
505AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
506AUTH_MODULES =  basic digest negotiate ntlm
507AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
508AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
509AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
510AWK = gawk
511BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
512BUILDCXX = g++
513BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
514BZR =
515CACHE_EFFECTIVE_USER = proxy
516CC = gcc
517CCDEPMODE = depmode=none
518CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
519CGIEXT = .cgi
520CHMOD = /bin/chmod
521CPP = gcc -E
522CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
523CPPUNITCONFIG = /usr/bin/cppunit-config
524CRYPTLIB = -lcrypt
525CXX = g++
526CXXCPP = g++ -E
527CXXDEPMODE = depmode=none
528CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
529CYGPATH_W = echo
530DEFAULT_HOSTS = /etc/hosts
531DEFAULT_LOG_DIR = /var/log/squid-ssl
532DEFAULT_PID_FILE = /var/run/squid-ssl.pid
533DEFAULT_SWAP_DIR = /var/spool/squid-ssl
534DEFS = -DHAVE_CONFIG_H
535DEPDIR = .deps
536DIGEST_AUTH_HELPERS =  file LDAP
537DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
538DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
539DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
540DISK_OS_LIBS =  -lrt -lpthread
541DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
542DLLTOOL = false
543DSYMUTIL =
544DUMPBIN =
545ECAP_LIBS = ecap/libsquid-ecap.la
546ECHO_C =
547ECHO_N = -n
548ECHO_T =
549EGREP = /bin/egrep
550EPOLL_LIBS =
551EUILIB =
552EXEEXT =
553EXPATLIB = -lexpat
554EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
555EXT_LIBECAP_CFLAGS =
556EXT_LIBECAP_LIBS = -lecap
557FALSE = /bin/false
558FGREP = /bin/fgrep
559GREP = grep
560HAVE_CXX11 = 1
561ICAP_LIBS = icap/libicap.la
562INCLTDL =
563INSTALL = /usr/bin/install -c
564INSTALL_DATA = ${INSTALL} -m 644
565INSTALL_PROGRAM = ${INSTALL}
566INSTALL_SCRIPT = ${INSTALL}
567INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
568KRB5INCS = -isystem /usr/include/mit-krb5
569KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
570LBERLIB = -llber
571LD = /usr/bin/ld -m elf_x86_64
572LDAPLIB = -lldap
573LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
574LIBADD_DL = -ldl
575LIBADD_DLD_LINK =
576LIBADD_DLOPEN = -ldl
577LIBADD_SHL_LOAD =
578LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
579LIBGNUTLS_LIBS = -lgnutls
580LIBLTDL = -lltdl
581LIBOBJS =
582LIBOPENSSL_CFLAGS =
583LIBOPENSSL_LIBS = -lssl -lcrypto
584LIBS =
585LIBSASL = -lsasl2
586LIBTOOL = $(SHELL) $(top_builddir)/libtool
587LIB_DB = -ldb
588LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
589LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
590LINUXDOC = /bin/false
591LIPO =
592LN = /bin/ln
593LN_S = ln -s
594LOG_DAEMON_HELPERS =  DB file
595LTDLDEPS =
596LTDLINCL =
597LTDLOPEN = libltdl
598LTLIBOBJS =
599LT_ARGZ_H =
600LT_CONFIG_H = include/autoconf.h
601LT_DLLOADERS =  libltdl/dlopen.la
602LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
603LT_SYS_LIBRARY_PATH =
604MAINT = #
605MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
606MANIFEST_TOOL = :
607MINGW_LIBS =
608MKDIR = /bin/mkdir
609MKDIR_P = /bin/mkdir -p
610MV = /bin/mv
611NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
612NETTLELIB =  -lnettle
613NM = /usr/bin/nm -B
614NMEDIT =
615NTLM_AUTH_HELPERS =  fake smb_lm
616OBJDUMP = objdump
617OBJEXT = o
618OTOOL =
619OTOOL64 =
620PACKAGE = squid
621PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
622PACKAGE_NAME = Squid Web Proxy
623PACKAGE_STRING = Squid Web Proxy 3.5.12
624PACKAGE_TARNAME = squid
625PACKAGE_URL =
626PACKAGE_VERSION = 3.5.12
627PATH_SEPARATOR = :
628PERL = /usr/bin/perl
629PKG_CONFIG = /usr/bin/pkg-config
630PKG_CONFIG_LIBDIR =
631PKG_CONFIG_PATH =
632PO2HTML = off
633PO2TEXT = off
634POD2MAN = /usr/bin/pod2man
635RANLIB = ranlib
636REGEXLIB =
637REPL_LIBS = liblru.a libheap.a
638REPL_OBJS = repl/liblru.a repl/libheap.a
639REPL_POLICIES = lru heap
640RM = /bin/rm -f
641SED = /bin/sed
642SET_MAKE =
643SH = /bin/sh
644SHELL = /bin/bash
645SMBCLIENT = /usr/bin/smbclient
646SNMPLIB = ../lib/snmplib/libsnmplib.la
647SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
648SQUID_CPPUNIT_INC =
649SQUID_CPPUNIT_LA =
650SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
651SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
652SSLLIB =  -lssl -lcrypto  -lgnutls
653STOREID_REWRITE_HELPERS =  file
654STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
655STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
656STORE_TESTS =
657STRIP = strip
658TR = /usr/bin/tr
659TRUE = /bin/true
660URL_REWRITE_HELPERS =  fake
661VERSION = 3.5.12
662WBINFO =
663WIN32_PSAPI =
664XMLLIB = -lxml2
665XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
666XTRA_OBJS =
667abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/auth
668abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/auth
669abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
670abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
671ac_ct_AR =
672ac_ct_CC = gcc
673ac_ct_CXX = g++
674ac_ct_DUMPBIN =
675am__include = include
676am__leading_dot = .
677am__quote =
678am__tar = tar --format=ustar -chf - "$$tardir"
679am__untar = tar -xf -
680bindir = ${exec_prefix}/bin
681build = x86_64-pc-linux-gnu
682build_alias = x86_64-linux-gnu
683build_cpu = x86_64
684build_os = linux-gnu
685build_vendor = pc
686builddir = .
687datadir = /usr/share/squid-ssl
688datarootdir = ${prefix}/share
689docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
690dvidir = ${docdir}
691exec_prefix = ${prefix}
692host = x86_64-pc-linux-gnu
693host_alias =
694host_cpu = x86_64
695host_os = linux-gnu
696host_vendor = pc
697htmldir = ${docdir}
698includedir = ${prefix}/include
699infodir = ${prefix}/share/info
700install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
701krb5_config =
702libdir = ${exec_prefix}/lib
703libexecdir = /usr/lib/squid-ssl
704localedir = ${datarootdir}/locale
705localstatedir = /var
706ltdl_LIBOBJS =  lt__strl.o
707ltdl_LTLIBOBJS =  lt__strl.lo
708mandir = /usr/share/man
709mkdir_p = $(MKDIR_P)
710oldincludedir = /usr/include
711pdfdir = ${docdir}
712prefix = /usr
713program_transform_name = s&$$&-ssl&
714psdir = ${docdir}
715runstatedir = ${localstatedir}/run
716sbindir = ${exec_prefix}/sbin
717sharedstatedir = ${prefix}/com
718srcdir = .
719subdirs =  libltdl
720sys_symbol_underscore = no
721sysconfdir = /etc/squid-ssl
722target_alias =
723top_build_prefix = ../../
724top_builddir = ../..
725top_srcdir = ../..
726AM_CFLAGS = $(SQUID_CFLAGS)
727AM_CXXFLAGS = $(SQUID_CXXFLAGS)
728CLEANFILES = testHeaders CredentialState.cc Type.cc
729TESTS = testHeaders
730AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
731        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
732        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
733        $(am__append_1)
734LIBPROFILER =
735#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
736COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
737subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
738SUBDIRS = $(AUTH_MODULES)
739DIST_SUBDIRS = basic digest negotiate ntlm
740noinst_LTLIBRARIES = libauth.la libacls.la
741libauth_la_SOURCES = \
742        Type.h \
743        Type.cc \
744        Config.cc \
745        Config.h \
746        CredentialState.cc \
747        CredentialState.h \
748        Gadgets.cc \
749        Gadgets.h \
750        QueueNode.h \
751        Scheme.cc \
752        Scheme.h \
753        State.h \
754        State.cc \
755        User.h \
756        User.cc \
757        UserRequest.h \
758        UserRequest.cc
759
760libauth_la_LIBADD = $(AUTH_LIBS_TO_BUILD)
761libauth_la_DEPENDENCIES = $(AUTH_LIBS_TO_BUILD)
762libacls_la_SOURCES = \
763        Acl.cc \
764        Acl.h \
765        \
766        AclMaxUserIp.cc \
767        AclMaxUserIp.h \
768        AclProxyAuth.cc \
769        AclProxyAuth.h \
770        AuthAclState.h
771
772all: all-recursive
773
774.SUFFIXES:
775.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
776$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
777        @for dep in $?; do \
778          case '$(am__configure_deps)' in \
779            *$$dep*) \
780              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
781                && { if test -f $@; then exit 0; else break; fi; }; \
782              exit 1;; \
783          esac; \
784        done; \
785        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/auth/Makefile'; \
786        $(am__cd) $(top_srcdir) && \
787          $(AUTOMAKE) --gnu src/auth/Makefile
788Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
789        @case '$?' in \
790          *config.status*) \
791            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
792          *) \
793            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
794            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
795        esac;
796$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
797
798$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
799        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
800
801$(top_srcdir)/configure: # $(am__configure_deps)
802        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
803$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
804        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
805$(am__aclocal_m4_deps):
806
807clean-noinstLTLIBRARIES:
808        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
809        @list='$(noinst_LTLIBRARIES)'; \
810        locs=`for p in $$list; do echo $$p; done | \
811              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
812              sort -u`; \
813        test -z "$$locs" || { \
814          echo rm -f $${locs}; \
815          rm -f $${locs}; \
816        }
817
818libacls.la: $(libacls_la_OBJECTS) $(libacls_la_DEPENDENCIES) $(EXTRA_libacls_la_DEPENDENCIES)
819        $(AM_V_CXXLD)$(CXXLINK)  $(libacls_la_OBJECTS) $(libacls_la_LIBADD) $(LIBS)
820
821libauth.la: $(libauth_la_OBJECTS) $(libauth_la_DEPENDENCIES) $(EXTRA_libauth_la_DEPENDENCIES)
822        $(AM_V_CXXLD)$(CXXLINK)  $(libauth_la_OBJECTS) $(libauth_la_LIBADD) $(LIBS)
823
824clean-checkPROGRAMS:
825        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
826        echo " rm -f" $$list; \
827        rm -f $$list || exit $$?; \
828        test -n "$(EXEEXT)" || exit 0; \
829        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
830        echo " rm -f" $$list; \
831        rm -f $$list
832
833mostlyclean-compile:
834        -rm -f *.$(OBJEXT)
835
836distclean-compile:
837        -rm -f *.tab.c
838
839#include ./$(DEPDIR)/Acl.Plo
840#include ./$(DEPDIR)/AclMaxUserIp.Plo
841#include ./$(DEPDIR)/AclProxyAuth.Plo
842#include ./$(DEPDIR)/Config.Plo
843#include ./$(DEPDIR)/CredentialState.Plo
844#include ./$(DEPDIR)/Gadgets.Plo
845#include ./$(DEPDIR)/Scheme.Plo
846#include ./$(DEPDIR)/State.Plo
847#include ./$(DEPDIR)/Type.Plo
848#include ./$(DEPDIR)/User.Plo
849#include ./$(DEPDIR)/UserRequest.Plo
850
851.cc.o:
852#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
853#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
854#       $(am__mv) $$depbase.Tpo $$depbase.Po
855#       $(AM_V_CXX)source='$<' object='$@' libtool=no
856#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
857        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
858
859.cc.obj:
860#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
861#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
862#       $(am__mv) $$depbase.Tpo $$depbase.Po
863#       $(AM_V_CXX)source='$<' object='$@' libtool=no
864#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
865        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
866
867.cc.lo:
868#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
869#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
870#       $(am__mv) $$depbase.Tpo $$depbase.Plo
871#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
872#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
873        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
874
875mostlyclean-libtool:
876        -rm -f *.lo
877
878clean-libtool:
879        -rm -rf .libs _libs
880
881# This directory's subdirectories are mostly independent; you can cd
882# into them and run 'make' without going through this Makefile.
883# To change the values of 'make' variables: instead of editing Makefiles,
884# (1) if the variable is set in 'config.status', edit 'config.status'
885#     (which will cause the Makefiles to be regenerated when you run 'make');
886# (2) otherwise, pass the desired values on the 'make' command line.
887$(am__recursive_targets):
888        @fail=; \
889        if $(am__make_keepgoing); then \
890          failcom='fail=yes'; \
891        else \
892          failcom='exit 1'; \
893        fi; \
894        dot_seen=no; \
895        target=`echo $@ | sed s/-recursive//`; \
896        case "$@" in \
897          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
898          *) list='$(SUBDIRS)' ;; \
899        esac; \
900        for subdir in $$list; do \
901          echo "Making $$target in $$subdir"; \
902          if test "$$subdir" = "."; then \
903            dot_seen=yes; \
904            local_target="$$target-am"; \
905          else \
906            local_target="$$target"; \
907          fi; \
908          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
909          || eval $$failcom; \
910        done; \
911        if test "$$dot_seen" = "no"; then \
912          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
913        fi; test -z "$$fail"
914
915ID: $(am__tagged_files)
916        $(am__define_uniq_tagged_files); mkid -fID $$unique
917tags: tags-recursive
918TAGS: tags
919
920tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
921        set x; \
922        here=`pwd`; \
923        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
924          include_option=--etags-include; \
925          empty_fix=.; \
926        else \
927          include_option=--include; \
928          empty_fix=; \
929        fi; \
930        list='$(SUBDIRS)'; for subdir in $$list; do \
931          if test "$$subdir" = .; then :; else \
932            test ! -f $$subdir/TAGS || \
933              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
934          fi; \
935        done; \
936        $(am__define_uniq_tagged_files); \
937        shift; \
938        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
939          test -n "$$unique" || unique=$$empty_fix; \
940          if test $$# -gt 0; then \
941            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
942              "$$@" $$unique; \
943          else \
944            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
945              $$unique; \
946          fi; \
947        fi
948ctags: ctags-recursive
949
950CTAGS: ctags
951ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
952        $(am__define_uniq_tagged_files); \
953        test -z "$(CTAGS_ARGS)$$unique" \
954          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
955             $$unique
956
957GTAGS:
958        here=`$(am__cd) $(top_builddir) && pwd` \
959          && $(am__cd) $(top_srcdir) \
960          && gtags -i $(GTAGS_ARGS) "$$here"
961cscopelist: cscopelist-recursive
962
963cscopelist-am: $(am__tagged_files)
964        list='$(am__tagged_files)'; \
965        case "$(srcdir)" in \
966          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
967          *) sdir=$(subdir)/$(srcdir) ;; \
968        esac; \
969        for i in $$list; do \
970          if test -f "$$i"; then \
971            echo "$(subdir)/$$i"; \
972          else \
973            echo "$$sdir/$$i"; \
974          fi; \
975        done >> $(top_builddir)/cscope.files
976
977distclean-tags:
978        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
979
980# Recover from deleted '.trs' file; this should ensure that
981# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
982# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
983# to avoid problems with "make -n".
984.log.trs:
985        rm -f $< $@
986        $(MAKE) $(AM_MAKEFLAGS) $<
987
988# Leading 'am--fnord' is there to ensure the list of targets does not
989# expand to empty, as could happen e.g. with make check TESTS=''.
990am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
991am--force-recheck:
992        @:
993
994$(TEST_SUITE_LOG): $(TEST_LOGS)
995        @$(am__set_TESTS_bases); \
996        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
997        redo_bases=`for i in $$bases; do \
998                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
999                    done`; \
1000        if test -n "$$redo_bases"; then \
1001          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1002          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1003          if $(am__make_dryrun); then :; else \
1004            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1005          fi; \
1006        fi; \
1007        if test -n "$$am__remaking_logs"; then \
1008          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1009               "recursion detected" >&2; \
1010        elif test -n "$$redo_logs"; then \
1011          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1012        fi; \
1013        if $(am__make_dryrun); then :; else \
1014          st=0;  \
1015          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1016          for i in $$redo_bases; do \
1017            test -f $$i.trs && test -r $$i.trs \
1018              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1019            test -f $$i.log && test -r $$i.log \
1020              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1021          done; \
1022          test $$st -eq 0 || exit 1; \
1023        fi
1024        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1025        ws='[   ]'; \
1026        results=`for b in $$bases; do echo $$b.trs; done`; \
1027        test -n "$$results" || results=/dev/null; \
1028        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1029        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1030        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1031        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1032        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1033        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1034        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1035        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1036          success=true; \
1037        else \
1038          success=false; \
1039        fi; \
1040        br='==================='; br=$$br$$br$$br$$br; \
1041        result_count () \
1042        { \
1043            if test x"$$1" = x"--maybe-color"; then \
1044              maybe_colorize=yes; \
1045            elif test x"$$1" = x"--no-color"; then \
1046              maybe_colorize=no; \
1047            else \
1048              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1049            fi; \
1050            shift; \
1051            desc=$$1 count=$$2; \
1052            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1053              color_start=$$3 color_end=$$std; \
1054            else \
1055              color_start= color_end=; \
1056            fi; \
1057            echo "$${color_start}# $$desc $$count$${color_end}"; \
1058        }; \
1059        create_testsuite_report () \
1060        { \
1061          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1062          result_count $$1 "PASS: " $$pass  "$$grn"; \
1063          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1064          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1065          result_count $$1 "FAIL: " $$fail  "$$red"; \
1066          result_count $$1 "XPASS:" $$xpass "$$red"; \
1067          result_count $$1 "ERROR:" $$error "$$mgn"; \
1068        }; \
1069        {                                                               \
1070          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1071            $(am__rst_title);                                           \
1072          create_testsuite_report --no-color;                           \
1073          echo;                                                         \
1074          echo ".. contents:: :depth: 2";                               \
1075          echo;                                                         \
1076          for b in $$bases; do echo $$b; done                           \
1077            | $(am__create_global_log);                                 \
1078        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1079        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1080        if $$success; then                                              \
1081          col="$$grn";                                                  \
1082         else                                                           \
1083          col="$$red";                                                  \
1084          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1085        fi;                                                             \
1086        echo "$${col}$$br$${std}";                                      \
1087        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1088        echo "$${col}$$br$${std}";                                      \
1089        create_testsuite_report --maybe-color;                          \
1090        echo "$$col$$br$$std";                                          \
1091        if $$success; then :; else                                      \
1092          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1093          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1094            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1095          fi;                                                           \
1096          echo "$$col$$br$$std";                                        \
1097        fi;                                                             \
1098        $$success || exit 1
1099
1100check-TESTS:
1101        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1102        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1103        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1104        @set +e; $(am__set_TESTS_bases); \
1105        log_list=`for i in $$bases; do echo $$i.log; done`; \
1106        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1107        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1108        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1109        exit $$?;
1110recheck: all $(check_PROGRAMS)
1111        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1112        @set +e; $(am__set_TESTS_bases); \
1113        bases=`for i in $$bases; do echo $$i; done \
1114                 | $(am__list_recheck_tests)` || exit 1; \
1115        log_list=`for i in $$bases; do echo $$i.log; done`; \
1116        log_list=`echo $$log_list`; \
1117        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1118                am__force_recheck=am--force-recheck \
1119                TEST_LOGS="$$log_list"; \
1120        exit $$?
1121testHeaders.log: testHeaders
1122        @p='testHeaders'; \
1123        b='testHeaders'; \
1124        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1125        --log-file $$b.log --trs-file $$b.trs \
1126        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1127        "$$tst" $(AM_TESTS_FD_REDIRECT)
1128.test.log:
1129        @p='$<'; \
1130        $(am__set_b); \
1131        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1132        --log-file $$b.log --trs-file $$b.trs \
1133        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1134        "$$tst" $(AM_TESTS_FD_REDIRECT)
1135#.test$(EXEEXT).log:
1136#       @p='$<'; \
1137#       $(am__set_b); \
1138#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1139#       --log-file $$b.log --trs-file $$b.trs \
1140#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1141#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1142
1143distdir: $(DISTFILES)
1144        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1145        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1146        list='$(DISTFILES)'; \
1147          dist_files=`for file in $$list; do echo $$file; done | \
1148          sed -e "s|^$$srcdirstrip/||;t" \
1149              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1150        case $$dist_files in \
1151          */*) $(MKDIR_P) `echo "$$dist_files" | \
1152                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1153                           sort -u` ;; \
1154        esac; \
1155        for file in $$dist_files; do \
1156          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1157          if test -d $$d/$$file; then \
1158            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1159            if test -d "$(distdir)/$$file"; then \
1160              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1161            fi; \
1162            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1163              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1164              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1165            fi; \
1166            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1167          else \
1168            test -f "$(distdir)/$$file" \
1169            || cp -p $$d/$$file "$(distdir)/$$file" \
1170            || exit 1; \
1171          fi; \
1172        done
1173        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1174          if test "$$subdir" = .; then :; else \
1175            $(am__make_dryrun) \
1176              || test -d "$(distdir)/$$subdir" \
1177              || $(MKDIR_P) "$(distdir)/$$subdir" \
1178              || exit 1; \
1179            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1180            $(am__relativize); \
1181            new_distdir=$$reldir; \
1182            dir1=$$subdir; dir2="$(top_distdir)"; \
1183            $(am__relativize); \
1184            new_top_distdir=$$reldir; \
1185            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1186            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1187            ($(am__cd) $$subdir && \
1188              $(MAKE) $(AM_MAKEFLAGS) \
1189                top_distdir="$$new_top_distdir" \
1190                distdir="$$new_distdir" \
1191                am__remove_distdir=: \
1192                am__skip_length_check=: \
1193                am__skip_mode_fix=: \
1194                distdir) \
1195              || exit 1; \
1196          fi; \
1197        done
1198check-am: all-am
1199        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1200        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1201check: check-recursive
1202all-am: Makefile $(LTLIBRARIES)
1203installdirs: installdirs-recursive
1204installdirs-am:
1205install: install-recursive
1206install-exec: install-exec-recursive
1207install-data: install-data-recursive
1208uninstall: uninstall-recursive
1209
1210install-am: all-am
1211        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1212
1213installcheck: installcheck-recursive
1214install-strip:
1215        if test -z '$(STRIP)'; then \
1216          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1217            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1218              install; \
1219        else \
1220          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1221            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1222            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1223        fi
1224mostlyclean-generic:
1225        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1226        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1227        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1228
1229clean-generic:
1230        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1231
1232distclean-generic:
1233        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1234        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1235
1236maintainer-clean-generic:
1237        @echo "This command is intended for maintainers to use"
1238        @echo "it deletes files that may require special tools to rebuild."
1239clean: clean-recursive
1240
1241clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1242        clean-noinstLTLIBRARIES mostlyclean-am
1243
1244distclean: distclean-recursive
1245        -rm -rf ./$(DEPDIR)
1246        -rm -f Makefile
1247distclean-am: clean-am distclean-compile distclean-generic \
1248        distclean-tags
1249
1250dvi: dvi-recursive
1251
1252dvi-am:
1253
1254html: html-recursive
1255
1256html-am:
1257
1258info: info-recursive
1259
1260info-am:
1261
1262install-data-am:
1263
1264install-dvi: install-dvi-recursive
1265
1266install-dvi-am:
1267
1268install-exec-am:
1269
1270install-html: install-html-recursive
1271
1272install-html-am:
1273
1274install-info: install-info-recursive
1275
1276install-info-am:
1277
1278install-man:
1279
1280install-pdf: install-pdf-recursive
1281
1282install-pdf-am:
1283
1284install-ps: install-ps-recursive
1285
1286install-ps-am:
1287
1288installcheck-am:
1289
1290maintainer-clean: maintainer-clean-recursive
1291        -rm -rf ./$(DEPDIR)
1292        -rm -f Makefile
1293maintainer-clean-am: distclean-am maintainer-clean-generic
1294
1295mostlyclean: mostlyclean-recursive
1296
1297mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1298        mostlyclean-libtool
1299
1300pdf: pdf-recursive
1301
1302pdf-am:
1303
1304ps: ps-recursive
1305
1306ps-am:
1307
1308uninstall-am:
1309
1310.MAKE: $(am__recursive_targets) check-am install-am install-strip
1311
1312.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1313        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1314        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1315        ctags-am distclean distclean-compile distclean-generic \
1316        distclean-libtool distclean-tags distdir dvi dvi-am html \
1317        html-am info info-am install install-am install-data \
1318        install-data-am install-dvi install-dvi-am install-exec \
1319        install-exec-am install-html install-html-am install-info \
1320        install-info-am install-man install-pdf install-pdf-am \
1321        install-ps install-ps-am install-strip installcheck \
1322        installcheck-am installdirs installdirs-am maintainer-clean \
1323        maintainer-clean-generic mostlyclean mostlyclean-compile \
1324        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1325        recheck tags tags-am uninstall uninstall-am
1326
1327.PRECIOUS: Makefile
1328
1329
1330$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1331
1332testHeaders: $(srcdir)/*.h
1333        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1334
1335.PHONY: testHeaders
1336
1337CredentialState.cc: CredentialState.h $(top_srcdir)/src/mk-string-arrays.awk
1338        $(AWK) -f $(top_srcdir)/src/mk-string-arrays.awk < $(srcdir)/CredentialState.h > $@ || (rm -f $@ ; exit 1)
1339
1340Type.cc: Type.h $(top_srcdir)/src/mk-string-arrays.awk
1341        $(AWK) -f $(top_srcdir)/src/mk-string-arrays.awk < $(srcdir)/Type.h > $@ || (rm -f $@ ; exit 1)
1342
1343# Tell versions [3.59,3.63) of GNU make to not export all variables.
1344# Otherwise a system limit (for SysV at least) may be exceeded.
1345.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.